Bug 734173 - New syslinux theme for F16 Live media
Summary: New syslinux theme for F16 Live media
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: 734169
TreeView+ depends on / blocked
 
Reported: 2011-08-29 15:48 UTC by Máirín Duffy
Modified: 2011-09-23 04:04 UTC (History)
7 users (show)

Fixed In Version: livecd-tools-16.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-23 04:03:23 UTC


Attachments (Terms of Use)
New/clean syslinux.cfg for Live media (2.73 KB, text/plain)
2011-08-30 20:53 UTC, Máirín Duffy
no flags Details
background splash graphic for syslinux live (2.45 KB, image/png)
2011-08-30 20:54 UTC, Máirín Duffy
no flags Details
screenshots to show what the new design looks like (364.55 KB, image/jpeg)
2011-08-30 20:54 UTC, Máirín Duffy
no flags Details
screenshot of new syslinux config (353.44 KB, image/png)
2011-09-07 15:43 UTC, Tim Flink
no flags Details

Description Máirín Duffy 2011-08-29 15:48:58 UTC
Let's update the syslinux theme for live media with the newer & cleaner design.

For Live media, this will involve updating imagecreate/live.py to generate the new theme values
( see
http://git.fedorahosted.org/git/?p=livecd;a=blob;f=imgcreate/live.py;h=6ad9c5b79626611df49a2b1769dff0f3092c5ae9;hb=HEAD around line 454) ... eventually it would be nice for this to have a templating system

I'll assign the bug to myself initially so I can create the template for you,
then I'll reassign to the default component owner.

Comment 1 Máirín Duffy 2011-08-30 20:53:34 UTC
Created attachment 520687 [details]
New/clean syslinux.cfg for Live media

Comment 2 Máirín Duffy 2011-08-30 20:54:10 UTC
Created attachment 520688 [details]
background splash graphic for syslinux live

Comment 3 Máirín Duffy 2011-08-30 20:54:50 UTC
Created attachment 520689 [details]
screenshots to show what the new design looks like

Comment 4 Máirín Duffy 2011-08-30 20:56:17 UTC
Hi Brian, I'm reassiging this to you now for implementation. Let me know if there are any issues with it or if there is any way I can help. Thanks!!

Comment 5 Fedora Update System 2011-09-01 19:39:25 UTC
livecd-tools-16.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/livecd-tools-16.5-1.fc16

Comment 6 Adam Williamson 2011-09-02 19:09:10 UTC
Discussed at 2011-09-02 NTH review meeting. Accepted as NTH: it's a slightly dangerous change but we're confident we can test it, and the cosmetic benefit is significant.

Comment 7 Fedora Update System 2011-09-06 18:05:21 UTC
Package livecd-tools-16.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-16.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/livecd-tools-16.5-1.fc16
then log in and leave karma (feedback).

Comment 8 Tim Flink 2011-09-07 15:43:14 UTC
Created attachment 521928 [details]
screenshot of new syslinux config

The syslinux screen that shows up on new live media doesn't quite match the screenshots from this bug. Is that intentional?

I like the look of it, but the background that shows up makes it difficult to edit boot options with the white text on the white fedora logo.

I attached a screenshot of what I'm seeing with the F16 graphics test day i686 live image [1]

[1] http://adamwill.fedorapeople.org/graphics_test_week_20110905/graphics_test_week-20110905-i686.iso

Comment 9 Brian Lane 2011-09-07 18:31:50 UTC
That will be fixed when the splash image is updated in fedora-logos.

Comment 10 Máirín Duffy 2011-09-08 13:44:20 UTC
Tim, I think spot updated the splash in the fedora-logos package yesterday, so hopefully that'll be readable soon.

Comment 11 Fedora Update System 2011-09-14 18:33:49 UTC
livecd-tools-16.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/livecd-tools-16.6-1.fc16

Comment 12 Adam Williamson 2011-09-14 18:59:28 UTC
note that we should use 16.6 for the Beta, as 16.5 results in an incorrect background being used, AIUI.

Comment 13 Adam Williamson 2011-09-16 04:46:53 UTC
so, RC1 was a bit of a swing-and-a-miss: the bootloader background is plain black on all lives and the DVD.

Comment 14 Fedora Update System 2011-09-16 21:00:03 UTC
fedora-logos-16.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-12683

Comment 15 Fedora Update System 2011-09-23 04:03:12 UTC
fedora-logos-16.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-23 04:04:08 UTC
livecd-tools-16.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.